/*
 * Example for MCP73213 click
 *
 * Date         Mar 2017
 * Author       Djordje Rosic
 * Copyright    GNU Public License v2
 *
 * Test configuration AVR :
 *  MCU           :        ATMEGA32
 *  Dev. Board    :        EasyAVR v7
 *  SW            :        mikroC PRO for AVR v6.1.2
 *
 * NOTES:
 * - Test the example either by connecting input voltage to VIN, load to VOUT
 * and measuring VOUT current, or by checking the resistance between P0A and
 * P0W pins on the digital potentiometer. Second method can be done without
 * power supply to VIN.
 ******************************************************************************/

sbit Chip_Select at PORTA5_bit;

void main() {

      /*Sets chip select*/
      DDA5_bit = 1;
      

      /*Initializes SPI interface*/
      SPI1_Init_Advanced(_SPI_MASTER, _SPI_FCY_DIV32, _SPI_CLK_LO_LEADING);
      

      /*Sets chip select to inactive*/
      Chip_Select = 1;

      delay_ms(3000);

/*
 * Click controls output current using internal digital potentiometer.
 * This example sets the resistance to a given value, thus affecting the
 * output current.
 */



      //10 kOhm, 130mA
      Chip_Select = 0;       /*Sets chip select to active*/
      Spi1_Write(0b00000000);  /*Writes the first command byte*/
      Spi1_Write(0b00000000);  /*Writes the second command byte*/
      Chip_Select = 1;       /*Sets chip select to inactive*/
      delay_ms(5000);

      /*Some other values for output current, uncomment to try them
      //5 kOhm, 250mA
      Chip_Select = 0;
      Spi1_Write(0b00000000);
      Spi1_Write(0b10000010);
      Chip_Select = 1;
      delay_ms(5000);

      //1 kOhm, 1100mA
      Chip_Select = 0;
      Spi1_Write(0b00000000);
      Spi1_Write(0b11101001);
      Chip_Select = 1;
      delay_ms(5000);

      //2,1 kOhm, 550mA
      Chip_Select = 0;
      Spi1_Write(0b00000000);
      Spi1_Write(0b11001100);
      Chip_Select = 1;
      delay_ms(5000);   */

}